#include<fstream>
using namespace std;
int gcd(int a,int b)
{
	return(b==0)?a:gcd(b,a%b);
}
int main()
{
	ifstream f1("BAI1_17.INP");
	ofstream f2("BAI1_17.OUT");
	int a,b;
	f1>>a>>b;
	f1.close();
	int k=gcd(a,b);
	a/=k;
	b/=k;
	f2<<a<<' '<<b;
	f2.close();
	return 0;	
}
